import { ObjectArray } from './Array';
import { ObjectBoolean } from './Boolean';
import { ObjectJson } from './Json';
import ObjectNumber from './Number/Number';
import ObjectString from './String/String';
declare type ActiveState = boolean | {
    storeValue: true;
    canChangeValue: true;
    isActive: boolean;
} | {
    storeValue: true;
    canChangeValue: false;
    isActive: boolean;
} | {
    storeValue: false;
    canChangeValue: false;
    isActive: boolean;
};
export declare type InitialObject = {
    hideIfInitial?: boolean;
    replaceValueWhenParsedError?: boolean;
    actionOnChange?: 'Push' | 'Replace';
    active?: ActiveState;
};
export declare type InitialObjectType = ObjectString | ObjectBoolean | ObjectNumber | ObjectArray | ObjectJson;
export declare type InitialExtendValue = InitialObjectType;
export interface InitialExtendValues {
    [path: string]: InitialExtendValue;
}
export {};
